Skip to main content
PATCH
/
accounts
/
{account_id}
Update an account
curl --request PATCH \
  --url https://api.togai.com/accounts/{account_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "New Account Name",
  "primaryEmail": "admin@example.com",
  "address": {
    "phoneNumber": "+919876543210",
    "line1": "2281 Broadway Street",
    "line2": "G-31",
    "postalCode": "29501",
    "city": "Florence",
    "state": "South Carolina"
  }
}
'
{
  "id": "G234DZZKBKACATFFGVGEMERFI",
  "name": "ACME Enterprise - Account2",
  "invoiceCurrency": "USD",
  "address": {
    "phoneNumber": "+919876543210",
    "line1": "2281 Broadway Street",
    "line2": "G-31",
    "postalCode": "29501",
    "city": "Florence",
    "state": "South Carolina",
    "country": "US"
  },
  "primaryEmail": "admin@example.com",
  "aliases": [
    {
      "alias": "account2@acme.com",
      "status": "ACTIVE"
    },
    {
      "alias": "+1234567890",
      "status": "ACTIVE"
    }
  ],
  "status": "ACTIVE"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

account_id corresponding to an account

Maximum string length: 50
Example:

"ACC00001"

Body

application/json

Payload to update account

Payload to update account

name
string

Name of the Account

Required string length: 3 - 255
Example:

"ACME Enterprise"

primaryEmail
string

Primary email of the account

Maximum string length: 255
Example:

"admin@example.com"

address
object

billing address of the customer

metadata
object

Additional information associated with the account. Example: GSTN, VATN NOTE: This replaces the existing metadata if the metadata in the request is not null. To remove all existing metadata, use empty object

Response

Response for Create and Get account requests

Structure of an account

id
string
required

Identifier of the account

Maximum string length: 50
name
string
required

Name of the Account

Required string length: 3 - 255
customerId
string
required

Identifier of the customer

invoiceCurrency
string
required

ISO_4217 code of the currency in which the account must be invoiced Defaults to Base currency.

Required string length: 3
Example:

"USD"

status
enum<string>
required

Status of the account

Available options:
ACTIVE,
ARCHIVED
Example:

"ACTIVE"

aliases
AccountAliases · object[]

list of aliases of the account

Maximum array length: 10
address
object

billing address of the customer

primaryEmail
string

Primary email of the customer

Maximum string length: 255
Example:

"admin@example.com"

settings
object[]
Maximum array length: 10
invoiceGroupDetails
object

Invoice group details

metadata
object

Additional information associated with the account. Example: GSTN, VATN